Subject: Re: bug#8071: Please rename automake invocation node

From: Stefano Lattarini <[email-masked]>
Date: Fri, 30 Dec 2011 13:44:16 +0100

On 12/28/2011 08:33 PM, Stefano Lattarini wrote:
> On 12/28/2011 01:50 PM, Eric Blake wrote:
>> On 12/26/2011 12:34 PM, Stefano Lattarini wrote:
>>>> While on this subject; all the other autotools entitle their
>>>> invocation nodes "autofoo Invocation", whereas automake calls its
>>>> "Invoking Automake".
>>>>
>>> I haven't changed this, because that could break existing third-party links
>>> to our HTML documentation (OK, that could probably be fixed with an update
>>> to the .symlinks file in the CVS repository of the Automake web pages, but
>>> IMHO it's not worth the hassle).
>>
>> This can be fixed by using an @anchor{} to the old name at the same
>> location as you switch to the new consistent node name.  The tools will
>> then keep the old link live by virtue of the anchor, without having to
>> mess with .symlinks.
>>
> Good idea.  What about the attached patch?  I'm not very familiar with
> the translation of @anchor directives in the HTML output, so I'd like an
> explicit ACK before pushing.
> 
Pushed to maint now.  Let's hope I've not messed anything up.

Regards,
  Stefano